Skip to main content

Create Custom Endpoint

POST 

/v1/sandbox/:sandbox_id/custom-endpoint

Create Custom Endpoint, requires sandbox:config:edit permission

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Body

required

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_endpoint_unique_id uuid

    Unique identifier for this custom endpoint

    endpoint_id Endpoint Id (string)required

    Possible values: non-empty

    The customer defined identifier for this endpoint

    url URL (string)required

    Possible values: non-empty

    User friendly identifier of setting type

    http_verb HTTP Verb (string)

    Possible values: [GET, POST, PUT, DELETE, HEAD, PATCH]

    An enumeration.

    custom_headers

    object

    Custom headers to be passed to the endpoint

    property name* string

Responses

Successful Response

Schema

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    sandbox_id uuid

    ID of the Sandbox

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_endpoint_unique_id uuid

    Unique identifier for this custom endpoint

    endpoint_id Endpoint Id (string)required

    Possible values: non-empty

    The customer defined identifier for this endpoint

    url URL (string)required

    Possible values: non-empty

    User friendly identifier of setting type

    http_verb HTTP Verb (string)

    Possible values: [GET, POST, PUT, DELETE, HEAD, PATCH]

    An enumeration.

    custom_headers

    object

    Custom headers to be passed to the endpoint

    property name* string
Loading...